;add_path, 'Desat'
ssw_path,/aia
ssw_path,/desat

start_time = '06-Sep-2011 22:16:50'		; start time selection
end_time   = '06-Sep-2011 22:18:10'		; end time selection

;path is the relative path to the your aia Level 1(1.5) files
path = concat_dir('.','Data')			; path to the data files

band = ['131'] 							; waveband selection

obj = is_class( obj, 'desat', /quiet) ? obj : obj_new('desat')

result = obj -> desaturation( band, start_time, end_time, path,$
							  bkg_filename = 'ssw_cutout_20110906_221423_aia_131_N15W18.fts',$
							  use_prep = 1, npix = 501, /save_fts, /aec, /loud, /onewindow)

end